Pattern

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.format
Class Pattern

    java.lang.Object
      jxl.format.Pattern

Direct Known Subclasses:
  Pattern

    public class Pattern

extends java.lang.Object

Enumeration class which contains the various patterns available within the standard Excel pattern palette

Field Summary
`static Pattern` | `GRAY_25`
`static Pattern` | `GRAY_50`
`static Pattern` | `GRAY_75`
`static Pattern` | `NONE`
`static Pattern` | `PATTERN1`
`static Pattern` | `PATTERN10`
`static Pattern` | `PATTERN11`
`static Pattern` | `PATTERN12`
`static Pattern` | `PATTERN13`
`static Pattern` | `PATTERN14`
`static Pattern` | `PATTERN2`
`static Pattern` | `PATTERN3`
`static Pattern` | `PATTERN4`
`static Pattern` | `PATTERN5`
`static Pattern` | `PATTERN6`
`static Pattern` | `PATTERN7`
`static Pattern` | `PATTERN8`
`static Pattern` | `PATTERN9`
`static Pattern` | `SOLID`

Method Summary
`java.lang.String` | `getDescription()` Gets the textual description
`static Pattern` | `getPattern(int val)` Gets the pattern from the value
`int` | `getValue()` Gets the value of this pattern.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final Pattern NONE

### SOLID

    public static final Pattern SOLID

### GRAY_50

    public static final Pattern GRAY_50

### GRAY_75

    public static final Pattern GRAY_75

### GRAY_25

    public static final Pattern GRAY_25

### PATTERN1

    public static final Pattern PATTERN1

### PATTERN2

    public static final Pattern PATTERN2

### PATTERN3

    public static final Pattern PATTERN3

### PATTERN4

    public static final Pattern PATTERN4

### PATTERN5

    public static final Pattern PATTERN5

### PATTERN6

    public static final Pattern PATTERN6

### PATTERN7

    public static final Pattern PATTERN7

### PATTERN8

    public static final Pattern PATTERN8

### PATTERN9

    public static final Pattern PATTERN9

### PATTERN10

    public static final Pattern PATTERN10

### PATTERN11

    public static final Pattern PATTERN11

### PATTERN12

    public static final Pattern PATTERN12

### PATTERN13

    public static final Pattern PATTERN13

### PATTERN14

    public static final Pattern PATTERN14

Method Detail

### getValue

    public int getValue()

  Gets the value of this pattern. This is the value that is written to the generated Excel file

  Returns:
    the binary value

### getDescription

    public java.lang.String getDescription()

  Gets the textual description

  Returns:
    the string

### getPattern

    public static Pattern getPattern(int val)

  Gets the pattern from the value

  Parameters:
    `val` -
  Returns:
    the pattern with that value

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD